.m-similar-collection {
  z-index: 21 !important;
  &:has(.hide) {
    display: none;
  }

  &:has(.hide) + section.m-related-products {
    z-index: 20;
  }

  &:has(.hide) + section.m-related-products .c-curve-mask-section--top {
    bottom: auto;
    top: -0.875rem;
    z-index: 1;
    rotate: 180deg;
  }

  &:has(:not(.has-product)) {
    display: none;
  }

  &:has(.has-product) {
    display: block;
  }

  &:has(.has-product) + section.m-related-products .c-curve-mask-section--top {
    display: none;
  }

  .c-curve-mask-section__curve--top {
    bottom: auto;
    top: -20px;
    top: -0.875rem;
    bottom: auto;
    rotate: 180deg;
    background: transparent;
    height: 36px;
    filter: none;
  }

  .collection__title--with-right-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;

    .title {
      margin-top: 3%;
    }

    .swiper-button__wrapper {
      margin: 0;
      padding: 0;
      inset: auto;
      position: relative;
      width: auto;
      height: auto;
    }

    .swiper-button-next,
    .swiper-button-prev {
      position: relative;
      margin: 0;
      padding: 0;
      inset: auto;
    }
  }
}
